corda / net.corda.node.internal / Node / <init>

# <init>

`Node(configuration: FullNodeConfiguration, advertisedServices: Set<ServiceInfo>, clock: Clock = NodeClock())`

A Node manages a standalone server that takes part in the P2P network. It creates the services found in ServiceHub, loads important data off disk and starts listening for connections.

### Parameters

`configuration` - This is typically loaded from a TypeSafe HOCON configuration file.

`advertisedServices` - The services this node advertises. This must be a subset of the services it runs, but nodes are not required to advertise services they run (hence subset).

`clock` - The clock used within the node and by all flows etc.